### Method

# WebKit WebExtensionMatchPattern matches_url

#### Declaration [src]

    gboolean
    webkit_web_extension_match_pattern_matches_url (
      WebKitWebExtensionMatchPattern* matchPattern,
      const gchar* url,
      WebKitWebExtensionMatchPatternOptions options
    )

#### Description [src]

Matches the `matchPattern` against the specified URL with options.

Available since: | 2.48

#### Parameters

`url` | `const gchar*`
| The URL to match against the pattern.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`options` | `WebKitWebExtensionMatchPatternOptions`
| The `WebKitWebExtensionMatchPatternOptions` use while matching.

#### Return value

Returns: | `gboolean`
| Whether the pattern matches the specified URL.